#include "ComputerCell.h"
#include <qpixmap.h>

ComputerCell::ComputerCell()
	: ConnectorCell()
{
	setConnectorType(CONNECTOR_END);
}

void
ComputerCell::paint(QPainter &paint)
{
	static QPixmap *pixmap = NULL, *pixmap_active = NULL;

	ConnectorCell::paint(paint);

	if (isActive())
	{
		if (pixmap_active == NULL)
		{
			pixmap_active = new QPixmap();
			if (!pixmap_active->load(DATA_PREFIX "images/computer_active.png"))
				printf("Unable to load %s\n",
					   DATA_PREFIX "images/computer_active.png");
		}

		paint.drawPixmap(0, 0, *pixmap_active);
	}
	else
	{
		if (pixmap == NULL)
		{
			pixmap = new QPixmap();
			if (!pixmap->load(DATA_PREFIX "images/computer.png"))
				printf("Unable to load %s\n",
					   DATA_PREFIX "images/computer.png");
		}

		paint.drawPixmap(0, 0, *pixmap);
	}
}

void
ComputerCell::activeChanged()
{
	if (isActive())
		getBoard()->incNumComputers();
	else
		getBoard()->decNumComputers();
}
